Application: gvSIG desktop - gvSIG bugs #1267
Move items of the simplified legend in Map fails
10/15/2012 01:27 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document layout

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Create new view
3.- Add a layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones ICV_SHP2d.shp)
4.-Change simbology

5.- Close view
6.- Click New in Document type = Map
7.- Add a view to the map and add legend
8.- Select the legend
9.- Click in Map menu / Graphics / Simplify legend
10.- Select and move any items simplified to verify, move symbols and texts.
An error appears
Attached .log
.- Abrir gvSIG
.- Crear nueva vista
.- Ahadir una capa (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones ICV_SHP2d.shp)

.- Cambiar simbologia

.- Clic en Nuevo Mapa
.- Anadir Vista al mapa y afiadir leyenda

1
2
3
4
5 .- Cerrar la Vista
6
7
8 .- Seleccionar la leyenda

©

.- Clic en el menu Mapa / Gréficos / Simplificar leyenda

10 .- Seleccionar y mover cualquier elemento simplificado para verificar, mover simbolos y textos.
Aparece un error

Adjunto .log

History

#1 - 10/22/2012 10:01 AM - Manuel Madrid
- Priority changed from Normal to Immediate

#2 - 10/22/2012 04:48 PM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#3 - 10/23/2012 02:55 PM - Juan Lucas Dominguez
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.shp
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.shp

- Status changed from New to Fixed

Check field is not null before cloning (that field is permanently being set, so it can be null).

gvsig-app-document-layout:r31

#4 - 11/07/2012 02:30 PM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057

Files

gvSIG.log 217 KB
